cURL
curl -X PUT "https://app.cotool.ai/api/agents/:agentId/trigger/:triggerId/alert-created-notification" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"destinationIds":["string"]}'import requests
url = "https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/alert-created-notification"
payload = { "destinationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({destinationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/alert-created-notification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/alert-created-notification")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/alert-created-notification"
payload := strings.NewReader("{\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Agent Triggers
Update trigger alert-created notification
Choose the Slack destinations notified when the trigger creates an alert. The alert’s status updates and escalations reply in the thread that notification starts.
PUT
/
api
/
agents
/
{agentId}
/
trigger
/
{triggerId}
/
alert-created-notification
cURL
curl -X PUT "https://app.cotool.ai/api/agents/:agentId/trigger/:triggerId/alert-created-notification" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"destinationIds":["string"]}'import requests
url = "https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/alert-created-notification"
payload = { "destinationIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({destinationIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/alert-created-notification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/alert-created-notification")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agents/{agentId}/trigger/{triggerId}/alert-created-notification"
payload := strings.NewReader("{\n \"destinationIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"destinationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Unique identifier of the agent
Unique identifier of the trigger
Body
application/json
Request body for choosing where a trigger notifies when it creates an alert
Slack destinations to notify when the trigger creates an alert. Empty turns the notification off.
Maximum array length:
20Was this page helpful?
⌘I